2019-08-24 09:22 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004971Spring engineGeneralpublic2017-08-30 17:34
ReporterCode_Man 
Assigned ToKloot 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version100.0 
Target VersionFixed in Version 
Summary0004971: Builders do not assist limited unit when given simultanous order
DescriptionWhen two builders are given a build order for a unit that has its buildlimit reached at the same time, one of the builders will not assist the other, like it usually does with structures.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015241

jK (developer)

wut?

~0015242

Google_Frog (reporter)

Last edited: 2015-09-25 04:19

View 2 revisions

I think I know what he means. Here is an example. You have two unit types:
 * Unit X has a build limit of 1. Each team is only allowed to have 1.
 * Unit Y can construct unit X.

Select two unit Y and tell them to make a unit X. Only one of the units will receive the order and so only one of them will assist the construction.

I have not tested anything, my example is just a translation of what I think Code_Man means. I do not even know whether per-unit build limit is still an engine feature or whether a gadget has taken over. Personally it sounds like something that should be left to gadgets.

~0018266

Deadnight Warrior (reporter)

As of Spring 104RC2 this is still as issue.

If multiple construction units are given the order to build one building, then all of them would normaly start building it. The one that actualy establishes the nanoframe is considered the builder, while other units assist it in construction instead.

If the ordered building has an unit limit, and that unit limit has been reached, then only the construction units to which that limit didn't apply, start building.

For example: you order 10 constructors to build a defense tower, but you already have 5 towers and the maximum allowed number of those towers is 10. Then 5 of your constructors will start building, while other 5 will ignore the build order. While those 5 units are building, you can order the rest to assist them and they'll join in on the construction.
Then you order those same to 10 make another tower, and only 4 will start building it.

~0018307

Kloot (developer)

Fix 1d978f872b18b831ba3d201103ad25e039e46f18 committed to develop branch: fix 0004971, repo: spring changeset id: 8644
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-09-24 19:56 Code_Man New Issue
2015-09-25 02:58 jK Note Added: 0015241
2015-09-25 04:18 Google_Frog Note Added: 0015242
2015-09-25 04:19 Google_Frog Note Edited: 0015242 View Revisions
2017-08-24 15:10 Deadnight Warrior Note Added: 0018266
2017-08-30 17:34 Kloot Changeset attached => spring develop 1d978f87
2017-08-30 17:34 Kloot Note Added: 0018307
2017-08-30 17:34 Kloot Assigned To => Kloot
2017-08-30 17:34 Kloot Status new => resolved
2017-08-30 17:34 Kloot Resolution open => fixed
+Issue History